Package org.wso2.carbon.logging.admin.stub.types.carbon

# Class LoggerData

java.lang.Object
org.wso2.carbon.logging.admin.stub.types.carbon.LoggerData

All Implemented Interfaces:
  `Serializable`, `org.apache.axis2.databinding.ADBBean`

public class LoggerData extends Object implements org.apache.axis2.databinding.ADBBean
LoggerData bean class

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `LoggerData.Factory`
  Factory class that keeps the parse method

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `localComponentName`
  field for ComponentName
  `protected boolean`
  `localComponentNameTracker`
  `protected String`
  `localLevel`
  field for Level
  `protected boolean`
  `localLevelTracker`
  `protected String`
  `localName`
  field for Name
  `protected boolean`
  `localNameTracker`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LoggerData()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getComponentName()`
  Auto generated getter method
  `String`
  `getLevel()`
  Auto generated getter method
  `String`
  `getName()`
  Auto generated getter method
  `org.apache.axiom.om.OMElement`
  `getOMElement(QName parentQName, org.apache.axiom.om.OMFactory factory)`
  `XMLStreamReader`
  `getPullParser(QName qName)`
  databinding method to get an XML representation of this object
  `boolean`
  `isComponentNameSpecified()`
  `boolean`
  `isLevelSpecified()`
  `boolean`
  `isNameSpecified()`
  `void`
  `serialize(QName parentQName, XMLStreamWriter xmlWriter)`
  `void`
  `serialize(QName parentQName, XMLStreamWriter xmlWriter, boolean serializeType)`
  `void`
  `setComponentName(String param)`
  Auto generated setter method
  `void`
  `setLevel(String param)`
  Auto generated setter method
  `void`
  `setName(String param)`
  Auto generated setter method

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### localComponentName

    protected String localComponentName
    field for ComponentName

  - ### localComponentNameTracker

    protected boolean localComponentNameTracker

  - ### localLevel

    protected String localLevel
    field for Level

  - ### localLevelTracker

    protected boolean localLevelTracker

  - ### localName

    protected String localName
    field for Name

  - ### localNameTracker

    protected boolean localNameTracker

- ## Constructor Details

  - ### LoggerData

    public LoggerData()

- ## Method Details

  - ### isComponentNameSpecified

    public boolean isComponentNameSpecified()

  - ### getComponentName

    public String getComponentName()
    Auto generated getter method
    Returns:
      java.lang.String

  - ### setComponentName

    public void setComponentName(String param)
    Auto generated setter method
    Parameters:
      `param` - ComponentName

  - ### isLevelSpecified

    public boolean isLevelSpecified()

  - ### getLevel

    public String getLevel()
    Auto generated getter method
    Returns:
      java.lang.String

  - ### setLevel

    public void setLevel(String param)
    Auto generated setter method
    Parameters:
      `param` - Level

  - ### isNameSpecified

    public boolean isNameSpecified()

  - ### getName

    public String getName()
    Auto generated getter method
    Returns:
      java.lang.String

  - ### setName

    public void setName(String param)
    Auto generated setter method
    Parameters:
      `param` - Name

  - ### getOMElement

    public org.apache.axiom.om.OMElement getOMElement(QName parentQName, org.apache.axiom.om.OMFactory factory) throws org.apache.axis2.databinding.ADBException
    Specified by:
      `getOMElement` in interface `org.apache.axis2.databinding.ADBBean`
    Parameters:
      `parentQName` -
      `factory` -
    Returns:
      org.apache.axiom.om.OMElement
    Throws:
      `org.apache.axis2.databinding.ADBException`

  - ### serialize

    public void serialize(QName parentQName, XMLStreamWriter xmlWriter) throws XMLStreamException, org.apache.axis2.databinding.ADBException
    Specified by:
      `serialize` in interface `org.apache.axis2.databinding.ADBBean`
    Throws:
      `XMLStreamException`
      `org.apache.axis2.databinding.ADBException`

  - ### serialize

    public void serialize(QName parentQName, XMLStreamWriter xmlWriter, boolean serializeType) throws XMLStreamException, org.apache.axis2.databinding.ADBException
    Specified by:
      `serialize` in interface `org.apache.axis2.databinding.ADBBean`
    Throws:
      `XMLStreamException`
      `org.apache.axis2.databinding.ADBException`

  - ### getPullParser

    public XMLStreamReader getPullParser(QName qName) throws org.apache.axis2.databinding.ADBException
    databinding method to get an XML representation of this object
    Specified by:
      `getPullParser` in interface `org.apache.axis2.databinding.ADBBean`
    Throws:
      `org.apache.axis2.databinding.ADBException`